@echo off

set sa=standalone.exe
set cf=campaign_conformance_test.txt
set tv=test_vec

goto menu


:menu
echo.
echo Test options:
echo.
echo 1) eCall modem core
echo 2) eCall modem core with HLACK transmission
echo 3) eCall modem core with IVS initiated signaling
echo *) Exit
echo.

:choice
set /P C="Selection: "
if "%C%"=="1" goto core
if "%C%"=="2" goto corehlack
if "%C%"=="3" goto corepush
goto end

:core
set base=core
set ts=psap
goto execute

:corehlack
set base=corehlack
set ts=psap
goto execute

:corepush
set base=corepush
set ts=ivs
goto execute


:execute
if not exist ".\out" md ".\out"

REM Running IVS...
%sa% -m ivs    -t %ts% -c %tv%\%cf% -i %tv%\%base%_pcm  -o out\%base%_pcm
%sa% -m ivsrx  -t %ts% -c %tv%\%cf% -i %tv%\%base%_pcm  -o out\%base%_port
%sa% -m ivstx  -t %ts% -c %tv%\%cf% -i %tv%\%base%_port -o out\%base%_pcmtx
echo.

REM Running PSAP...
%sa% -m psap   -t %ts% -c %tv%\%cf% -i %tv%\%base%_pcm  -o out\%base%_pcm
%sa% -m psaprx -t %ts% -c %tv%\%cf% -i %tv%\%base%_pcm  -o out\%base%_port
%sa% -m psaptx -t %ts% -c %tv%\%cf% -i %tv%\%base%_port -o out\%base%_pcmtx
echo.


for /L %%x in (1, 1, 8) do (
echo CASE %%x:

echo Checking PCM data IVS...
fc /b %tv%\%base%_pcmulin%%x.pcm out\%base%_pcmulin%%x.out
fc /b %tv%\%base%_pcmulin%%x.pcm out\%base%_pcmtxulin%%x.out

echo Checking PCM data PSAP...
fc /b %tv%\%base%_pcmdlin%%x.pcm out\%base%_pcmdlin%%x.out
fc /b %tv%\%base%_pcmdlin%%x.pcm out\%base%_pcmtxdlin%%x.out
)


for /L %%x in (1, 1, 8) do (
echo CASE %%x:

echo Checking PORT data IVS...
fc %tv%\%base%_portivsrx%%x.txt out\%base%_portivsrx%%x.txt

echo Checking PORT data PSAP...
fc %tv%\%base%_portpsaprx%%x.txt out\%base%_portpsaprx%%x.txt
)

:end
